<xsl:stylesheet version="2.0" 
    xmlns:html="http://www.w3.org/TR/REC-html40"
    xmlns:sitemap="http://www.sitemaps.org/schemas/sitemap/0.9"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>XML Index Sitemap</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<style type="text/css">
			body {
				font-family: Helvetica, Arial, sans-serif;
				font-size: 13px;
				color: #545353;
			}
			table {
				border: none;
				border-collapse: collapse;
			}
			#sitemap tr.odd {
				background-color: #eee;
			}
			#sitemap tbody tr:hover {
				background-color: #ccc;
			}
			#sitemap tbody tr:hover td, #sitemap tbody tr:hover td a {
				color: #000;
			}
			#content {
				margin: 0 auto;
				width: 1000px;
			}
			p.expl {
				margin: 10px 3px;
				line-height: 1.3em;
			}
			p.expl a {
				color: #da3114;
				font-weight: bold;
			}
			a {
				color: #000;
				text-decoration: none;
			}
			a:visited {
				color: #777;
			}
			a:hover {
				text-decoration: underline;
			}
			td {
				font-size:11px;
				padding: 5px 15px 5px 0;
				vertical-align: top;
			}
			td img {
				padding: 0 5px;
			}
			th {
				text-align:left;
				padding-right:30px;
				font-size:11px;
			}
			thead th {
				border-bottom: 1px solid #000;
				cursor: pointer;
			}
		</style>
	</head>
	<body>
		<div id="content">
			<h1>XML Index Sitemap</h1>
			<p class="expl">
				Generated by <a href="https://udinra.com/">Udinra</a>'s <a href="https://udinra.com/blog/udinra-image-sitemap/">Udinra Image Sitemap plugin</a>, this is an XML Index Sitemap, meant for consumption by Search Engines.
			</p>
			<p class="expl">
				You can find more information about XML Index sitemaps <a href="http://sitemaps.org">Sitemap.org</a>.
			</p>
			<p class="expl">
				This sitemap contains <xsl:value-of select="count(sitemap:sitemapindex/sitemap:sitemap)"/> Sitemaps.
			</p>			

			<div id="content">
				<table id="sitemap" width="100%">
				<thead>
					<tr>
						<th width="50%">Sitemap</th>
						<th width="50%">Sitemap Last Modified</th>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="sitemap:sitemapindex/sitemap:sitemap"><tr>
							<td width="50%">
								<xsl:variable name="itemURL">
									<xsl:value-of select="sitemap:loc"/>
								</xsl:variable>
								<a href="{$itemURL}">
									<strong><xsl:value-of select="sitemap:loc"/></strong>
								</a>
							</td>
							<td width="50%"><xsl:variable name="itemLast">
								<xsl:value-of select="sitemap:lastmod"/>
								</xsl:variable>
								<a href="{$itemLast}">
									<strong><xsl:value-of select="sitemap:lastmod"/></strong>
								</a>
							</td></tr>
					</xsl:for-each>
					</tbody>
				</table>
			</div>
		</div>
	</body>
</html>
</xsl:template>

</xsl:stylesheet>